uniform sampler2D MyTex;
uniform float F0,dF,dA;

vec4 Noise(float x, float y)
{
	return(texture2D(MyTex, vec2(fract(x),fract(y))));
}

void main (void)
{
	float x = gl_TexCoord[0].s;
	float y = gl_TexCoord[0].t;
	vec4 total = vec4(0.);
	float freq = F0;
	float amplitude = 1.;
	int i = 0;
	float somme = 0.;

	while (i<9)
	{
		i+=1;
		freq *= dF;
		amplitude *= dA;
		total += Noise(x * freq, y * freq) * amplitude;
		somme += amplitude;
	}
	total /= somme;

	gl_FragColor = total;
}
